use [Education_GS]
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[FK_O_EDU_O_PEOPLE]') and OBJECTPROPERTY(id, N'IsForeignKey') = 1)
ALTER TABLE [dbo].[O_EDU] DROP CONSTRAINT FK_O_EDU_O_PEOPLE
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[O_PEOPLE]') and OBJECTPROPERTY(id, N'IsUserTable') = 1)
drop table [dbo].[O_PEOPLE]
GO

CREATE TABLE [dbo].[O_PEOPLE] (
	[O_PEOPLEID] [int] IDENTITY (1, 1) NOT NULL ,
	[M_RAYON_DEPID] [int] NULL ,
	[M_KATID] [int] NULL ,
	[M_SEXID] [int] NULL ,
	[FSTNAME] [char] (50) COLLATE Cyrillic_General_CI_AS NULL ,
	[SECNAME] [char] (50) COLLATE Cyrillic_General_CI_AS NULL ,
	[LASTNAME] [char] (50) COLLATE Cyrillic_General_CI_AS NULL ,
	[BIRTHDATE] [datetime] NULL ,
	[AGE] AS (datediff(month,[birthdate],getdate()) / 12) ,
	[DOLGNAME] [nvarchar] (1024) COLLATE Cyrillic_General_CI_AS NULL ,
	[DATE_INS] [datetime] NULL ,
	[O_HMEN01_ID] [int] NULL 
) ON [PRIMARY]
GO

ALTER TABLE [dbo].[O_PEOPLE] WITH NOCHECK ADD 
	CONSTRAINT [PK_O_PEOPLE] PRIMARY KEY  CLUSTERED 
	(
		[O_PEOPLEID]
	)  ON [PRIMARY] 
GO

ALTER TABLE [dbo].[O_PEOPLE] ADD 
	CONSTRAINT [DF_O_PEOPLE_DATE_INS] DEFAULT (getdate()) FOR [DATE_INS]
GO

GRANT  SELECT  ON [dbo].[O_PEOPLE]  TO [public]
GO

GRANT  SELECT ,  UPDATE ,  INSERT ,  DELETE  ON [dbo].[O_PEOPLE]  TO [Education_user]
GO

ALTER TABLE [dbo].[O_PEOPLE] ADD 
	CONSTRAINT [FK_O_PEOPLE_M_KAT] FOREIGN KEY 
	(
		[M_KATID]
	) REFERENCES [dbo].[M_KAT] (
		[M_KATID]
	),
	CONSTRAINT [FK_O_PEOPLE_M_SEX] FOREIGN KEY 
	(
		[M_SEXID]
	) REFERENCES [dbo].[M_SEX] (
		[M_SEXID]
	)
GO

use [KADRY_GS]

insert into [Education_GS].[dbo].[O_PEOPLE] 
(O_HMEN01_ID,FSTNAME,SECNAME,LASTNAME,BIRTHDATE,DOLGNAME,M_SEXID,M_RAYON_DEPID)


select distinct g.O_HMEN01_ID,g.FAMILY,g.FSTNAME,g.LSTNAME,g.BIRTHDATE,
ISNULL(g.DOLGNOST,'') + ' - '+ISNULL(g.WORKPLACE,''),
case when (h.SEX = 0) then 1 else 2 end as SEX,0 
from [Kadry_GS].[dbo].[GetKartotekaList] (0 ,'16.02.2006') as g 
inner join O_HMEN01 h on h.O_HMEN01_ID = g.O_HMEN01_ID
where exists(select h2.O_HMEN02_ID from O_HMEN02 h2 where h2.O_HMEN01_ID = g.O_HMEN01_ID)or
      exists(select h11.O_HMEN11_ID from O_HMEN11 h11 where h11.O_HMEN01_ID = g.O_HMEN01_ID) 
GO